Debian Bug report logs - #630614
actually make devd useful (for things like USB autoload, Eee-PC hotkeys, ZFS warnings)

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Robert Millan <rmh@debian.org>

Date: Wed, 15 Jun 2011 15:33:01 UTC

Severity: wishlist

Found in version freebsd-utils/8.2-2

Fixed in version freebsd-utils/8.2+ds1-1

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#630614; Package freebsd-utils. (Wed, 15 Jun 2011 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
New Bug report received and forwarded. Copy sent to rmh@debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 15 Jun 2011 15:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: actually make devd useful (for things like USB autoload, Eee-PC hotkeys, ZFS warnings)
Date: Wed, 15 Jun 2011 17:32:02 +0200
[Message part 1 (text/plain, inline)]
Package: freebsd-utils
Version: 8.2-2
Severity: wishlist

The following config files could be included to make devd useful:

devd.conf: This is a simplified version from upstream src/etc/devd.conf.  As
the upstream version includes lots of FreeBSD-specific declarations, I'm not
sure if it's worth patching it, I propose forking a new file instead.

asus.conf: Unmodified from upstream src/etc/devd/asus.conf.  This enables
support for ASUS Eee-PC special hotkeys.

usb_class.conf: I wrote this one myself, it enables automated kldload support
for the following drivers: snd_uaudio, ulpt, umass.

zfs.conf: ZFS-specific snippet from upstream devd.conf.  I guess it could
fit better in zfsutils package?


Additionally, this daemon is missing an init.d script.  I'd provide one, but
my init-fu is rotten since the dependency-based boot transition.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages freebsd-utils depends on:
ii  libbsd0                 0.3.0-1          utility functions from BSD systems
ii  libc0.1                 2.13-7           Embedded GNU C Library: Shared lib
ii  libcam0                 8.2-2            FreeBSD CAM (Common Access Method)
ii  libgcc1                 1:4.6.0-13       GCC support library
ii  libgeom0                8.2-2            FreeBSD GEOM library
ii  libkiconv4              8.2-2            FreeBSD kernel side iconv library 
ii  libkvm0                 8.2-2            FreeBSD kvm (kernel memory interfa
ii  libsbuf0                8.2-2            FreeBSD string buffer library
ii  libstdc++6              4.6.0-13         GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

freebsd-utils recommends no packages.

Versions of packages freebsd-utils suggests:
pn  freebsd-hackedutils           <none>     (no description available)
ii  kbdcontrol                    8.2-2      command-line tool to change keyboa
ii  vidcontrol                    8.2-2      command-line tool to control the s

-- no debconf information
[devd.conf (text/plain, attachment)]
[asus.conf (text/plain, attachment)]
[usb_class.conf (text/plain, attachment)]
[zfs.conf (text/plain, attachment)]

Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Wed, 29 Jun 2011 10:51:14 GMT) Full text and rfc822 format available.

Notification sent to Robert Millan <rmh@debian.org>:
Bug acknowledged by developer. (Wed, 29 Jun 2011 10:51:18 GMT) Full text and rfc822 format available.

Message #10 received at 630614-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 630614-close@bugs.debian.org
Subject: Bug#630614: fixed in freebsd-utils 8.2+ds1-1
Date: Wed, 29 Jun 2011 10:47:19 +0000
Source: freebsd-utils
Source-Version: 8.2+ds1-1

We believe that the bug you reported is fixed in the latest version of
freebsd-utils, which is due to be installed in the Debian FTP archive:

freebsd-net-tools-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-net-tools-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
freebsd-net-tools_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-net-tools_8.2+ds1-1_kfreebsd-amd64.deb
freebsd-utils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/freebsd-utils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
freebsd-utils_8.2+ds1-1.debian.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2+ds1-1.debian.tar.gz
freebsd-utils_8.2+ds1-1.dsc
  to main/f/freebsd-utils/freebsd-utils_8.2+ds1-1.dsc
freebsd-utils_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/freebsd-utils_8.2+ds1-1_kfreebsd-amd64.deb
freebsd-utils_8.2+ds1.orig.tar.gz
  to main/f/freebsd-utils/freebsd-utils_8.2+ds1.orig.tar.gz
kbdcontrol_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kbdcontrol_8.2+ds1-1_kfreebsd-amd64.deb
kldutils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
  to main/f/freebsd-utils/kldutils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
kldutils_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/kldutils_8.2+ds1-1_kfreebsd-amd64.deb
vidcontrol_8.2+ds1-1_kfreebsd-amd64.deb
  to main/f/freebsd-utils/vidcontrol_8.2+ds1-1_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 630614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Jun 2011 12:28:09 +0200
Source: freebsd-utils
Binary: freebsd-utils freebsd-utils-udeb kldutils kldutils-udeb kbdcontrol vidcontrol freebsd-net-tools freebsd-net-tools-udeb
Architecture: source kfreebsd-amd64
Version: 8.2+ds1-1
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 freebsd-net-tools - FreeBSD networking tools
 freebsd-net-tools-udeb - FreeBSD networking tools (udeb)
 freebsd-utils - FreeBSD utilities needed for GNU/kFreeBSD
 freebsd-utils-udeb - FreeBSD utilities needed for GNU/kFreeBSD (udeb)
 kbdcontrol - command-line tool to change keyboard layout on GNU/kFreeBSD
 kldutils   - tools for managing kFreeBSD modules
 kldutils-udeb - tools for managing kFreeBSD modules (udeb)
 vidcontrol - command-line tool to control the system console on GNU/kFreeBSD
Closes: 601803 630614 631122
Changes: 
 freebsd-utils (8.2+ds1-1) unstable; urgency=low
 .
   [ Petr Salinger ]
   * Require newer eglibc, drop <net/if.h> workaround
 .
   [ Robert Millan ]
   * Enable ieee80211 (wireless) in ifconfig. Closes: #601803
   * Switch to use the libbsd-overlay.
     - Bump libbsd-dev Build-Depends to (>= 0.3.0).
     - Add pkg-config to Build-Depends.
     - Remove some now obsolete porting code.
   * Removed kludges from 013_pf.diff.  strtonum.c is obsoleted
     by libbsd, pf_ruleset.c is imported from upstream source.
   * Provide config files and init.d script for devd.  (Closes: #630614)
   * Add Dutch Debconf translation from Jeroen Schot.  (Closes: #631122)
   * Require either libsbuf-dev or kfreebsd-kernel-headers that provides
     a valid <sys/sbuf.h>.
   * Add myself to Uploaders.
Checksums-Sha1: 
 660b9ba571388434ed6cf9794be77047d4818fd5 1838 freebsd-utils_8.2+ds1-1.dsc
 bb557a12855f9dcc073392f2b55745f593e62a2f 1716510 freebsd-utils_8.2+ds1.orig.tar.gz
 a4d71c255ce5465dc0104741a1f8610112c833c2 81940 freebsd-utils_8.2+ds1-1.debian.tar.gz
 1e5ca01ae899a30363594a56de7674c7b36e67aa 343676 freebsd-utils_8.2+ds1-1_kfreebsd-amd64.deb
 689682530cbafb66fa4532d25fd958892fa5e4cb 39614 freebsd-utils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 b49377ef68f71313af361c5ad9e33613fee5bf69 36616 kldutils_8.2+ds1-1_kfreebsd-amd64.deb
 9c2deda34a84b1312164716cd16116c20ebfe848 7308 kldutils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 2d56d8e02b5951af639cea9ae054cf7b37eeb3ad 126236 kbdcontrol_8.2+ds1-1_kfreebsd-amd64.deb
 350900ad5c2821324d708f1844be2b5cfa3dba2a 119544 vidcontrol_8.2+ds1-1_kfreebsd-amd64.deb
 d9b66fa2b94ea2b5a2ac80fae4f57d0999ffa55e 389870 freebsd-net-tools_8.2+ds1-1_kfreebsd-amd64.deb
 8f72e781d5ebfced0f4a90feb0c4c7783b0f6515 77424 freebsd-net-tools-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
Checksums-Sha256: 
 41eb85d6162dacd0458ca1bedbb5d89499e3af74de80a69716d2ca78e9dcdc48 1838 freebsd-utils_8.2+ds1-1.dsc
 51f24c184cd1428ad34a5c0dc154aabedbceb2550ee75f86bbe5fb6763906912 1716510 freebsd-utils_8.2+ds1.orig.tar.gz
 5ff6d1169c5f0aaeb5313ac71dfd51605e389aaa8135323bad59090af25901d2 81940 freebsd-utils_8.2+ds1-1.debian.tar.gz
 e9e3dbe39cd0488919f89696dc71321edf94f9fb09696138cdfb4db6c25b71a3 343676 freebsd-utils_8.2+ds1-1_kfreebsd-amd64.deb
 044c369e15ce75c709f4bc5bad7ad13f1182eba8c4fc94927cdbc0a1fc5c57dd 39614 freebsd-utils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 6a92a4cc2393005595ec5c5b6b93e51e77b1b21e1c478d71852b0af4aa1dd106 36616 kldutils_8.2+ds1-1_kfreebsd-amd64.deb
 a1fe3a0e7d3dd90a39d1aeae5b44cf2371113cb0b966e7c3f6a6f660d234a6d1 7308 kldutils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 ab9f5aedd294052db683a0087d86d87830c485faf59f480f424d61d6d0b39e70 126236 kbdcontrol_8.2+ds1-1_kfreebsd-amd64.deb
 adc5f28f5e57356153f932ed1c5e56f4a510f911c16215db8f930dc15aa797be 119544 vidcontrol_8.2+ds1-1_kfreebsd-amd64.deb
 2c9f31b6e159afefba46b414095294d1bb05b5d56d7b12675a63d1f127de9620 389870 freebsd-net-tools_8.2+ds1-1_kfreebsd-amd64.deb
 74e20cddb37a3a748e2a2cab39c2a995a78ca25838726b299de1b730d84a958b 77424 freebsd-net-tools-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
Files: 
 28508784ab1da49c30529deb29d31725 1838 utils important freebsd-utils_8.2+ds1-1.dsc
 a55a28b7b6035f511e5ee77095a6e529 1716510 utils important freebsd-utils_8.2+ds1.orig.tar.gz
 adbf3e06bd2ec39949c61b5c043ef569 81940 utils important freebsd-utils_8.2+ds1-1.debian.tar.gz
 0d34826b5a4611532e2b1484d87862fe 343676 utils required freebsd-utils_8.2+ds1-1_kfreebsd-amd64.deb
 3ff90aaa61f5ebbfbc1094e51f39d2ab 39614 debian-installer optional freebsd-utils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 f439a48a8d894ed6c6ce5f80364db857 36616 utils important kldutils_8.2+ds1-1_kfreebsd-amd64.deb
 8be5a4c3250f21c35af67bb386ef2bed 7308 debian-installer optional kldutils-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
 49c7f06247644a5f48fc2b1b603ebd70 126236 utils important kbdcontrol_8.2+ds1-1_kfreebsd-amd64.deb
 b8664b4203319e7314220d2ef443bc5e 119544 utils important vidcontrol_8.2+ds1-1_kfreebsd-amd64.deb
 837961df0db3604a9236b5ef39adac38 389870 net important freebsd-net-tools_8.2+ds1-1_kfreebsd-amd64.deb
 78d71c4021bb788fb172a40b0a1672a3 77424 debian-installer important freebsd-net-tools-udeb_8.2+ds1-1_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk4K/w4ACgkQC19io6rUCv8UIQCghJ/FXqga9hrpMQKx8vRFI7/x
MCQAn1aOvvwY6wF0rY5XMP8aURNXRn6Y
=cftp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Jul 2011 07:32:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:17:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.